> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Match Candidates

> Open bills (money-out) or invoices (money-in) to reconcile against a txn.



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/bank-transactions/{transaction_id}/candidates
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/bank-transactions/{transaction_id}/candidates:
    get:
      tags:
        - Bank Transactions
      summary: List Match Candidates
      description: >-
        Open bills (money-out) or invoices (money-in) to reconcile against a
        txn.
      operationId: >-
        list_match_candidates_api_v1_bank_transactions__transaction_id__candidates_get
      parameters:
        - name: transaction_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Transaction Id
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: partyId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Partyid
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CandidatesResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CandidatesResponse:
      properties:
        transactionId:
          type: string
          title: Transactionid
        side:
          type: string
          title: Side
        amount:
          type: number
          title: Amount
        suggestedParties:
          items:
            $ref: '#/components/schemas/SuggestedParty'
          type: array
          title: Suggestedparties
        candidates:
          items:
            $ref: '#/components/schemas/MatchCandidate'
          type: array
          title: Candidates
      type: object
      required:
        - transactionId
        - side
        - amount
        - suggestedParties
        - candidates
      title: CandidatesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SuggestedParty:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        score:
          type: integer
          title: Score
      type: object
      required:
        - id
        - name
        - score
      title: SuggestedParty
    MatchCandidate:
      properties:
        id:
          type: string
          title: Id
        side:
          type: string
          title: Side
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
        partyId:
          anyOf:
            - type: string
            - type: 'null'
          title: Partyid
        partyName:
          anyOf:
            - type: string
            - type: 'null'
          title: Partyname
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        totalAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Totalamount
        remainingBalance:
          anyOf:
            - type: number
            - type: 'null'
          title: Remainingbalance
        dueDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Duedate
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        salesOrderNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesordernumber
        suggested:
          type: boolean
          title: Suggested
          default: false
        alreadyLinked:
          type: boolean
          title: Alreadylinked
          default: false
      type: object
      required:
        - id
        - side
      title: MatchCandidate
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````